import es
import playerlib
from JoeyCMDs import JoeyCMDs

liftoff = es.ServerVar("liftoff", 200, "Liftoff power")
jet_trail = es.ServerVar("jet_trail", 1, "See the jetpack fire trail")

est = JoeyCMDs("est")

def load():
	es.ServerVar("simple_jetpack", "1.0").makepublic()

	es.regclientcmd('+jetpack', 'jetpack/start', "Start JetPack")
	es.regclientcmd('-jetpack', 'jetpack/stop', "Stop JetPack")

def start():
	jetuser = es.getcmduserid()
	player = playerlib.getPlayer(jetuser)
	location = list(es.getplayerlocation(jetuser))
	if not player.get('isdead'):
		es.setplayerprop(jetuser, "CBaseEntity.movetype", '4')
		est.physpush(jetuser, 0, 0, liftoff)
		if jet_trail == 1:
			#est_Effect_04 <player Filter> <delay> 'sprites/xfireball3.vmt' <Follow ent> <life> <start width> <end width> <fade distance> <R> <G> <B> <A>
			est.effect(4, '#a', '0.1', 'sprites/xfireball3.vmt', jetuser, '.3', '10', '30', '40', '255', '200', '200', '200')
		es.emitsound('player', jetuser, "ambient/fire/fire_small1.wav", 1.0, 1.0)
		
	else:
		es.tell(jetuser, "You are dead!")

def stop():
	jetuser = es.getcmduserid()
	es.setplayerprop(jetuser, "CBaseEntity.movetype", '2')
	es.stopsound(jetuser, "ambient/fire/fire_small1.wav")